SDL_ResumeAudioStreamDevice(3)

NAME
SDL_ResumeAudioStreamDevice - Use this function to unpause audio playback on the audio device associated with an audio stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

bool SDL_ResumeAudioStreamDevice(SDL_AudioStream *stream);

DESCRIPTION
This function unpauses audio processing for a given device that has previously been paused. Once unpaused, any bound audio streams will begin to progress again, and audio can be generated.

Remember, SDL_OpenAudioDeviceStream opens device in a paused state, so this function call is required for audio playback to begin on such device.

FUNCTION PARAMETERS

stream
    the audio stream associated with the audio device to resume.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_PauseAudioStreamDevice(3)